Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the historic process instance to be retrieved.

Response

Request successful.

id
string | null

The id of the process instance.

rootProcessInstanceId
string | null

The process instance id of the root process instance that initiated the process.

superProcessInstanceId
string | null

The id of the parent process instance, if it exists.

superCaseInstanceId
string | null

The id of the parent case instance, if it exists.

caseInstanceId
string | null

The id of the parent case instance, if it exists.

processDefinitionName
string | null

The name of the process definition that this process instance belongs to.

processDefinitionKey
string | null

The key of the process definition that this process instance belongs to.

processDefinitionVersion
integer<int32> | null

The version of the process definition that this process instance belongs to.

processDefinitionId
string | null

The id of the process definition that this process instance belongs to.

businessKey
string | null

The business key of the process instance.

startTime
string<date-time> | null

The time the instance was started. Default format yyyy-MM-dd'T'HH:mm:ss.SSSZ.

endTime
string<date-time> | null

The time the instance ended. Default format yyyy-MM-dd'T'HH:mm:ss.SSSZ.

removalTime
string<date-time> | null

The time after which the instance should be removed by the History Cleanup job. Default format yyyy-MM-dd'T'HH:mm:ss.SSSZ.

durationInMillis
integer<int64> | null

The time the instance took to finish (in milliseconds).

startUserId
string | null

The id of the user who started the process instance.

startActivityId
string | null

The id of the initial activity that was executed (e.g., a start event).

deleteReason
string | null

The provided delete reason in case the process instance was canceled during execution.

tenantId
string | null

The tenant id of the process instance.

state
enum<string> | null

Last state of the process instance, possible values are:

ACTIVE - running process instance

SUSPENDED - suspended process instances

COMPLETED - completed through normal end event

EXTERNALLY_TERMINATED - terminated externally, for instance through REST API

INTERNALLY_TERMINATED - terminated internally, for instance by terminating boundary event

Available options:
ACTIVE,
SUSPENDED,
COMPLETED,
EXTERNALLY_TERMINATED,
INTERNALLY_TERMINATED
restartedProcessInstanceId
string | null

The id of the original process instance which was restarted.